Bug 225495 - sysutils/dsbmd: Update to 1.1
Summary: sysutils/dsbmd: Update to 1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-27 18:23 UTC by Marcel Kaiser
Modified: 2018-01-31 06:41 UTC (History)
1 user (show)

See Also:


Attachments
svn diff to upgrade dsbmd-0.5 to dsbmd-1.1 (1.45 KB, patch)
2018-01-27 18:23 UTC, Marcel Kaiser
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel Kaiser 2018-01-27 18:23:02 UTC
Created attachment 190120 [details]
svn diff to upgrade dsbmd-0.5 to dsbmd-1.1

Changes since version 0.5:

- The design has been improved to be more tolerant against very slow storage
  devices.

- Support for Ext4 has been added.

- Support for HFS+ has been added.

- A mntchk_interval variable has been added. It controls the interval in seconds
  dsbmd checks the mount table for changes.

- A procmaxwait variable has been added. It defines the max. number of seconds to
  wait for an external mount command to finish before it gets killed.

- A cfgversion variable has been added. It is used to warn the user about using
  an outdated config file.

- Many bugfixes and improvements.


QA:
portlint: OK (looks fine.)
testport: OK (poudriere: 11.1Ramd64, 103Ri386)
Comment 1 commit-hook freebsd_committer 2018-01-30 21:44:01 UTC
A commit references this bug:

Author: dbaio
Date: Tue Jan 30 21:43:43 UTC 2018
New revision: 460441
URL: https://svnweb.freebsd.org/changeset/ports/460441

Log:
  sysutils/dsbmd: Update to 1.1

  Add new option EXT4 (Ext4 filesystem support).

  While here, reorder options.

  Changes:	https://freeshell.de/~mk/projects/dsbmd-relnotes.html

  PR:		225495
  Submitted by:	Marcel Kaiser <mk@nic-nac-project.org> (maintainer)

Changes:
  head/sysutils/dsbmd/Makefile
  head/sysutils/dsbmd/distinfo
Comment 2 Danilo G. Baio freebsd_committer 2018-01-30 21:44:33 UTC
Committed, sorry for the delay.
Thanks!
Comment 3 Marcel Kaiser 2018-01-31 06:41:09 UTC
(In reply to Danilo G. Baio from comment #2)
No problem :). Thank you for the commit.